<?php


require_once("syncinclude.php");

$return=3;
if (auth())
{
	$return=0;	
	//hole alle neuen order	
	$cur_query = eS_execute_query("select orders.payment_method, orders.orders_id, orders.attendees_id, date_format(orders.date_purchased, \"%d.%m.%Y\") as ErstelltDatumF from orders LEFT JOIN eazysales_sentorders ON orders.orders_id=eazysales_sentorders.orders_id where eazysales_sentorders.orders_id is NULL limit 1");
	if ($Bestellung = go_db_fetch_object($cur_query))
	{
		//hole kommentar zur bestellung
		$comment_query = eS_execute_query("select comments from orders_status_history where orders_id=".$Bestellung->orders_id);
		$com = go_db_fetch_object($comment_query);
		$Bestellung->comments = $com->comments;
		
		//falls kein kunde existiert, key muss irgendwo her!
		if (!$Bestellung->attendees_id)
			$Bestellung->attendees_id = 10000000-$Bestellung->orders_id;
		
		//tu Zahlungsweise in Comment:
		switch ($Bestellung->payment_method)
		{
			case 'banktransfer':
				$Bestellung->zahlungsweise = "Zahlungsweise: Lastschrift";
				$VersandKey = -1;
				break;
			case 'banktransfer_sepa':
				$Bestellung->zahlungsweise = "Zahlungsweise: SEPA Lastschrift";
				$VersandKey = -1;
				break;
			case 'cc':
				$Bestellung->zahlungsweise = "Zahlungsweise: Kreditkarte";
				$VersandKey = -1;
				break;
			case 'cod':
				$Bestellung->zahlungsweise = "Zahlungsweise: Nachnahme";
				break;
			case 'invoice':
				$Bestellung->zahlungsweise = "Zahlungsweise: Auf Rechnung";
				break;
			case 'ipayment': 
				$Bestellung->zahlungsweise = "Zahlungsweise: Kreditkarte"; 
				break;
			case 'ipaymentelv': 
				$Bestellung->zahlungsweise = "Zahlungsweise: Lastschrift"; 
				break;
			default:
				$Bestellung->zahlungsweise = "Zahlungsweise: $Bestellung->payment_method";
				break;
		}
		echo(CSVkonform($Bestellung->orders_id).';');
		echo(CSVkonform($Bestellung->orders_id).';');
		echo(CSVkonform($Bestellung->attendees_id).';');
		echo(CSVkonform($Bestellung->orders_id).';');
		echo(CSVkonform($VersandKey).';');
		echo(';'); //VersandInfo
		echo(';'); //Versanddatum
		echo(';'); //Tracking Nr
		echo(CSVkonform($Bestellung->zahlungsweise).';');
		echo(';'); //Abgeholt
		echo(';'); //Status
		echo(CSVkonform($Bestellung->ErstelltDatumF).';'); 
		echo(CSVkonform($Bestellung->orders_id).';');
		echo(CSVkonform($Bestellung->comments).';');
		echo("\n");
	}
}
echo($return);
logge($return);
?>
